//---------------------------------------------------------------------------

#ifndef LBIC_ovladaci_panelH
#define LBIC_ovladaci_panelH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include <ExtDlgs.hpp>
#include <Menus.hpp>
#include <Grids.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TComboBox *ComboBox1;
        TLabel *Label1;
        TLabel *Label2;
        TSavePictureDialog *SavePictureDialog1;
        TOpenPictureDialog *OpenPictureDialog1;
        TButton *Button3;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TLabel *Label6;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TEdit *Edit2;
        TEdit *Edit3;
        TEdit *Edit4;
        TLabel *Label10;
        TEdit *Edit5;
        TLabel *Label11;
        TEdit *Edit6;
        TButton *Button4;
        TSaveDialog *SaveDialog1;
        TOpenDialog *OpenDialog1;
        TEdit *Edit7;
        TLabel *Label14;
        TLabel *Label15;
        TMainMenu *MainMenu1;
        TMenuItem *Soubor;
        TMenuItem *UlozObrazek;
        TMenuItem *NactiObrazek;
        TMenuItem *UlozData;
        TMenuItem *NactiData;
        TMenuItem *Napoveda;
        TMenuItem *Ukonciprogram;
        TListBox *ListBox1;
        TLabel *Label12;
        TEdit *Edit8;
        TButton *Button1;
        TLabel *Label13;
        TLabel *Label16;
        TEdit *Edit9;
        TEdit *Edit10;
        TButton *Button2;
        TEdit *Edit11;
        TLabel *Label17;
        TButton *Button5;
        TMenuItem *Ulodatatxt1;
        TEdit *Edit12;
        TLabel *Label18;
        TMenuItem *Otevidatatxt1;
        TEdit *Edit13;
        TLabel *Label19;
        TProgressBar *ProgressBar1;
        TButton *Button6;
        TEdit *Edit1;
        TLabel *Label20;
        TRadioGroup *RadioGroup1;
        TLabel *Label21;
        TMenuItem *Nastaven1;
        TMenuItem *Agilent34411A1;
        TMenuItem *Zapojenpstroje1;
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Button4Click(TObject *Sender);
        void __fastcall ComboBox1Select(TObject *Sender);
        void __fastcall UlozObrazekClick(TObject *Sender);
        void __fastcall NactiObrazekClick(TObject *Sender);
        void __fastcall UlozDataClick(TObject *Sender);
        void __fastcall NactiDataClick(TObject *Sender);
        void __fastcall UkonciprogramClick(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button5Click(TObject *Sender);
        void __fastcall Ulodatatxt1Click(TObject *Sender);
        void __fastcall Otevidatatxt1Click(TObject *Sender);
        void __fastcall NapovedaClick(TObject *Sender);
        void __fastcall Button6Click(TObject *Sender);
        void __fastcall RadioGroup1Click(TObject *Sender);
        void __fastcall Agilent34411A1Click(TObject *Sender);
        void __fastcall Zapojenpstroje1Click(TObject *Sender);
        
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
extern StartX,StartY,KonecX,KonecY;
extern Graphics::TBitmap *pObrazekZOOM;
extern Graphics::TBitmap *pObrazek;
extern Graphics::TBitmap *pObrazekPrazdny;
extern Graphics::TBitmap *pObrazekVyber;
extern boolean Smazane;
extern Zvetseni;
extern TRect VelikostObrazku;
extern TRect NastavVelikostObrazku();
extern float **PoleHodnot;
extern float **PoleHodnotZOOM;
extern port;


//---------------------------------------------------------------------------
#endif
